Subject: Re: [PATCH 1/2] Convert i2c-mpc from a platform driver into a of_platform driver, V4

From: Anton Vorontsov <[email-masked]>
Date: Fri, 11 Jul 2008 22:45:56 +0400

On Fri, Jul 11, 2008 at 12:12:14PM -0600, Grant Likely wrote:
> On Thu, Jul 10, 2008 at 12:36:58PM -0400, Timur Tabi wrote:
> >
> > On Jul 9, 2008, at 1:22 PM, Grant Likely wrote:
> >
> >> On Mon, Jun 30, 2008 at 5:01 PM, Jon Smirl <[email-masked]> wrote:
> >>> Convert i2c-mpc to an of_platform driver. Utilize the code in  
> >>> drivers/of-i2c.c to make i2c modules dynamically loadable by the  
> >>> device tree.
> >>
> >> Timur, can you please test this one on an 83xx platform?  It works on
> >> 5200, but I want to make sure 83xx doesn't break before I pick it up.
> >
> > I'm on vacation this week, so I'll have to deal with it next week, after 
> > I've handled higher-priority issues.
> 
> Kumar, is there anyone else who can test this out before the merge
> window opens?

FWIW, they seem to work for me. At least RTC still works.

p.s. [1/2] conflicts with fsl_soc.c. And these patches will
conflict a bit more (now with of_i2c.c), if/when
"[PATCH] of/i2c: don't pass -1 to irq_dispose_mapping, otherwise kernel
kernel will oops"

will be applied to 2.6.26.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2